## mx4j.server.interceptor
Interface DefaultMBeanServerInterceptorMBean

All Known Implementing Classes:
  DefaultMBeanServerInterceptor

public interface DefaultMBeanServerInterceptorMBean

Management interface for the DefaultMBeanServerInterceptor MBean

Version:
  $Revision: 1.6 $

Method Summary
`java.lang.String` `getType()` Returns the type of this interceptor
`boolean` `isEnabled()` Returns whether this interceptor is enabled
`void` `setEnabled(boolean enabled)` Enables or disables this interceptor

Method Detail

### isEnabled

    public boolean isEnabled()

  Returns whether this interceptor is enabled

  See Also:
    `setEnabled(boolean)`

### setEnabled

    public void setEnabled(boolean enabled)

  Enables or disables this interceptor

  See Also:
    `isEnabled()`

### getType

    public java.lang.String getType()

  Returns the type of this interceptor

Copyright © 2001-2003 MX4J Team. All Rights Reserved.